Package ru.bitel.bgbilling.kernel.customer.common.bean

# Enum Class Customer.CustomerFizDocument

java.lang.Object
java.lang.Enum<Customer.CustomerFizDocument>
ru.bitel.bgbilling.kernel.customer.common.bean.Customer.CustomerFizDocument

All Implemented Interfaces:
  `Serializable`, `Comparable<Customer.CustomerFizDocument>`, `Constable`

Enclosing class:
  `Customer`

public static enum Customer.CustomerFizDocument extends Enum<Customer.CustomerFizDocument>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `DOCUMENT_TYPE`
  `IDENT_CARD`
  `IDENT_CARD_NUMBER`
  `IDENT_CARD_SERIAL`
  `IDENT_CARD_WHEN_GIVE`
  `IDENT_CARD_WHO_GIVE`
  `PASSPORT_FOREIGN`
  `PASSPORT_FOREIGN_COUNTRY`
  `PASSPORT_FOREIGN_NUMBER`
  `PASSPORT_FOREIGN_WHEN_EXPIRE`
  `PASSPORT_FOREIGN_WHEN_GIVE`
  `PASSPORT_FOREIGN_WHO_GIVE`
  `PASSPORT_RF`
  `PASSPORT_RF_ADDRESS`
  `PASSPORT_RF_CODE`
  `PASSPORT_RF_NUMBER`
  `PASSPORT_RF_SERIAL`
  `PASSPORT_RF_WHEN_GIVE`
  `PASSPORT_RF_WHO_GIVE`
  `RESIDENCE_PERMIT`
  `RESIDENCE_PERMIT_NUMBER`
  `RESIDENCE_PERMIT_WHEN_EXPIRE`
  `RESIDENCE_PERMIT_WHEN_GIVE`
  `RESIDENCE_PERMIT_WHO_GIVE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `description()`
  `String`
  `key()`
  `String`
  `type()`
  `static Customer.CustomerFizDocument`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static Customer.CustomerFizDocument[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### DOCUMENT_TYPE

    public static final Customer.CustomerFizDocument DOCUMENT_TYPE

  - ### PASSPORT_RF

    public static final Customer.CustomerFizDocument PASSPORT_RF

  - ### PASSPORT_RF_SERIAL

    public static final Customer.CustomerFizDocument PASSPORT_RF_SERIAL

  - ### PASSPORT_RF_NUMBER

    public static final Customer.CustomerFizDocument PASSPORT_RF_NUMBER

  - ### PASSPORT_RF_CODE

    public static final Customer.CustomerFizDocument PASSPORT_RF_CODE

  - ### PASSPORT_RF_WHO_GIVE

    public static final Customer.CustomerFizDocument PASSPORT_RF_WHO_GIVE

  - ### PASSPORT_RF_WHEN_GIVE

    public static final Customer.CustomerFizDocument PASSPORT_RF_WHEN_GIVE

  - ### PASSPORT_RF_ADDRESS

    public static final Customer.CustomerFizDocument PASSPORT_RF_ADDRESS

  - ### PASSPORT_FOREIGN

    public static final Customer.CustomerFizDocument PASSPORT_FOREIGN

  - ### PASSPORT_FOREIGN_COUNTRY

    public static final Customer.CustomerFizDocument PASSPORT_FOREIGN_COUNTRY

  - ### PASSPORT_FOREIGN_NUMBER

    public static final Customer.CustomerFizDocument PASSPORT_FOREIGN_NUMBER

  - ### PASSPORT_FOREIGN_WHO_GIVE

    public static final Customer.CustomerFizDocument PASSPORT_FOREIGN_WHO_GIVE

  - ### PASSPORT_FOREIGN_WHEN_GIVE

    public static final Customer.CustomerFizDocument PASSPORT_FOREIGN_WHEN_GIVE

  - ### PASSPORT_FOREIGN_WHEN_EXPIRE

    public static final Customer.CustomerFizDocument PASSPORT_FOREIGN_WHEN_EXPIRE

  - ### RESIDENCE_PERMIT

    public static final Customer.CustomerFizDocument RESIDENCE_PERMIT

  - ### RESIDENCE_PERMIT_NUMBER

    public static final Customer.CustomerFizDocument RESIDENCE_PERMIT_NUMBER

  - ### RESIDENCE_PERMIT_WHO_GIVE

    public static final Customer.CustomerFizDocument RESIDENCE_PERMIT_WHO_GIVE

  - ### RESIDENCE_PERMIT_WHEN_GIVE

    public static final Customer.CustomerFizDocument RESIDENCE_PERMIT_WHEN_GIVE

  - ### RESIDENCE_PERMIT_WHEN_EXPIRE

    public static final Customer.CustomerFizDocument RESIDENCE_PERMIT_WHEN_EXPIRE

  - ### IDENT_CARD

    public static final Customer.CustomerFizDocument IDENT_CARD

  - ### IDENT_CARD_SERIAL

    public static final Customer.CustomerFizDocument IDENT_CARD_SERIAL

  - ### IDENT_CARD_NUMBER

    public static final Customer.CustomerFizDocument IDENT_CARD_NUMBER

  - ### IDENT_CARD_WHO_GIVE

    public static final Customer.CustomerFizDocument IDENT_CARD_WHO_GIVE

  - ### IDENT_CARD_WHEN_GIVE

    public static final Customer.CustomerFizDocument IDENT_CARD_WHEN_GIVE

- ## Method Details

  - ### values

    public static Customer.CustomerFizDocument[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static Customer.CustomerFizDocument valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### type

    public String type()

  - ### key

    public String key()

  - ### description

    public String description()